Bug 1124061 - hammer: Unable to add repository to content view
Summary: hammer: Unable to add repository to content view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 21:50 UTC by sthirugn@redhat.com
Modified: 2017-02-23 21:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7140 None None None 2016-04-22 16:30:48 UTC
Red Hat Bugzilla 1108905 None None None Never

Internal Links: 1108905

Description sthirugn@redhat.com 2014-07-28 21:50:37 UTC
Description of problem:
hammer: Unable to add repository to content view

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140723.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.29-1.el6sat.noarch
* foreman-compute-1.6.0.29-1.el6sat.noarch
* foreman-gce-1.6.0.29-1.el6sat.noarch
* foreman-libvirt-1.6.0.29-1.el6sat.noarch
* foreman-ovirt-1.6.0.29-1.el6sat.noarch
* foreman-postgresql-1.6.0.29-1.el6sat.noarch
* foreman-proxy-1.6.0.21-1.el6sat.noarch
* foreman-selinux-1.6.0-8.el6sat.noarch
* foreman-vmware-1.6.0.29-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:


Steps to Reproduce:
hammer> content-view add-repository --name=cv1 --organization-id=3 --repository='testrepo34'
Could not add repository:
  Error: Missing options to search product

hammer> content-view add-repository --name=cv1 --organization-id=3 --repository='testrepo34' --product='newproduct23'
Could not add repository:
  Error: Unrecognised option '--product'
  
  See: ' content-view add-repository --help'

hammer> content-view add-repository --name=cv1 --organization-id=3 --repository='testrepo34' --product-id=95
Could not add repository:
  Error: Unrecognised option '--product-id'
  
hammer> content-view add-repository --help
Usage:
     content-view add-repository [OPTIONS]

Options:
    --id ID                       content view numeric identifier
    --name NAME                   Content view name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --repository REPOSITORY_NAME  Repository name to search by
    --repository-id REPOSITORY_ID repository ID
    -h, --help                    print help


Actual results:
Unable to add repository to content view

Expected results:
Able to add repository to content view

Additional info:

Comment 1 RHEL Product and Program Management 2014-07-28 22:04:13 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dustin Tsang 2014-08-18 17:38:09 UTC
Created redmine issue http://projects.theforeman.org/issues/7140 from this bug

Comment 4 Bryan Kearney 2014-08-22 16:03:47 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7140 has been closed
-------------
dustin tsang
Applied in changeset commit:hammer-cli-katello|2ce5e334bb019c4d83a1071ebcc71ab869871e0f.

Comment 5 sthirugn@redhat.com 2014-10-24 20:34:10 UTC
Verified.

hammer> content-view add-repository --name cv1 --organization org1 --repository repo1
Could not add repository:
  Error: Missing options to search product

hammer> content-view add-repository --name cv1 --organization org1 --repository repo1 --product product1
The repository has been associated

hammer> content-view info --name=cv1 --organization org1
ID:                 336
Name:               cv1
Label:              cv1
Composite:          
Description:        
Content Host Count: 0
Organization:       org1
Repositories:       
 1) ID:    192
    Name:  repo1
    Label: repo1
Puppet Modules:     

Environments:       

Versions:           

Components:         

Activation Keys:

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
Nightly Oct 10, 2014
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.32-1.el6.noarch
* candlepin-common-1.0.8-1.el6.noarch
* candlepin-selinux-0.9.32-1.el6.noarch
* candlepin-tomcat6-0.9.32-1.el6.noarch
* elasticsearch-0.90.10-7.el6.noarch
* foreman-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-compute-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-gce-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-libvirt-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-ovirt-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-postgresql-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-proxy-1.7.0-0.develop.201410221520gitccd77aa.el6.noarch
* foreman-release-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* foreman-selinux-1.7.0-0.develop.201410210825gitaab37c6.el6.noarch
* foreman-vmware-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
* katello-2.1.0-1.201410231000gitac15899.el6.noarch
* katello-certs-tools-2.0.1-1.el6.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.1.0-1.201410162242git33b9fc3.el6.noarch
* katello-repos-2.1.1-1.el6.noarch
* katello-server-ca-1.0-1.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-docker-plugins-0.2.1-0.2.beta.el6.noarch
* pulp-katello-0.3-3.el6.noarch
* pulp-nodes-common-2.5.0-0.7.beta.el6.noarch
* pulp-nodes-parent-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-puppet-tools-2.5.0-0.7.beta.el6.noarch
* pulp-rpm-plugins-2.5.0-0.7.beta.el6.noarch
* pulp-selinux-2.5.0-0.7.beta.el6.noarch
* pulp-server-2.5.0-0.7.beta.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.3.2-1.el6.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6.noarch
* ruby193-rubygem-runcible-1.2.0-1.el6.noarch

Comment 7 Bryan Kearney 2015-08-11 13:21:31 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:11:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.